Update Plugin

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/plugin
API call form
Examples

Plugins can only be updated by the owner of the plugin. The owner is the user who created the plugin.

Request parameters
Expand all Reset
id *UUIDrequired

The unique identifier of the entity

properties *OBJECTrequired
slug *STRINGrequired
name *Multilingual stringrequired
description Multilingual string
base_url *STRINGrequired
pushdown BOOLEAN
authorize *ENUMrequired
properties ARRAY[OBJECT]
protocol_version ENUM
search BOOLEAN
supports_distinctcount BOOLEAN
supports_order_limit BOOLEAN
supports_join BOOLEAN
supports_like BOOLEAN
supports_nested_filters BOOLEAN
supports_sql BOOLEAN
tiles BOOLEAN
color STRING
url STRING
license STRING
public BOOLEAN
Can be executed by:
Entity Owner
Can be associated to:
Organization
Thumbnail
User
Did this page help you?
Yes No
Language
Shell
Node
Java
.NET
Python
PHP
Install
npm install @luzmo/nodejs-sdk
Example Response
200
400
500
{
  "id": "6b297528-91e5-4655-99a3-fe200f91b64b",
  "slug": "myplugin9974880",
  "name": {
    "en": "My Internal Api Plugin"
  },
  "description": {
    "en": "Since we already have an API, we wrote a simple plugin around our API"
  },
  "url": "https://url-to-some-product-info.com",
  "license": "Create Commons 0",
  "base_url": "https://8017349d.ngrok.io",
  "authorize": "token",
  "tiles": true,
  "search": false,
  "public": false,
  "reviewed": false,
  "color": "#00FF00"
}